HBackgroundImageEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HBackgroundImageEvent

    java.lang.Object
      java.util.EventObject
          org.havi.ui.event.HBackgroundImageEvent

All Implemented Interfaces:
  Serializable

    public class HBackgroundImageEvent

extends EventObject

This event informs an application that a loading operation for an `HBackgroundImage` has finished.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Field Summary
`static int` | `BACKGROUNDIMAGE_FILE_NOT_FOUND` The loading failed before attempting to load any data from the file.
`static int` | `BACKGROUNDIMAGE_FIRST` Marks the first integer for the range of background image events
`static int` | `BACKGROUNDIMAGE_INVALID` The loading failed because the data loaded is not valid.
`static int` | `BACKGROUNDIMAGE_IOERROR` The loading failed due to an error while loading the data.
`static int` | `BACKGROUNDIMAGE_LAST` Marks the last integer for the range of background image events
`static int` | `BACKGROUNDIMAGE_LOADED` The loading succeeded

Constructor Summary
`HBackgroundImageEvent(Object source, int id)` Constructs a new `HBackgroundImageEvent`.

Method Summary
`int` | `getID()` Returns the type for this event.
`Object` | `getSource()` Returns the `HBackgroundImage` for which the data has been loaded.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BACKGROUNDIMAGE_FIRST

    public static final int BACKGROUNDIMAGE_FIRST

  Marks the first integer for the range of background image events

  See Also:
    Constant Field Values

### BACKGROUNDIMAGE_LOADED

    public static final int BACKGROUNDIMAGE_LOADED

  The loading succeeded

  See Also:
    Constant Field Values

### BACKGROUNDIMAGE_FILE_NOT_FOUND

    public static final int BACKGROUNDIMAGE_FILE_NOT_FOUND

  The loading failed before attempting to load any data from the file. e.g. the file not existing or due to a badly formed or otherwise broken filename

  See Also:
    Constant Field Values

### BACKGROUNDIMAGE_IOERROR

    public static final int BACKGROUNDIMAGE_IOERROR

  The loading failed due to an error while loading the data. e.g. the file is not accessible or loading of it was interrupted

  See Also:
    Constant Field Values

### BACKGROUNDIMAGE_INVALID

    public static final int BACKGROUNDIMAGE_INVALID

  The loading failed because the data loaded is not valid. e.g. not a supported coding format for background images.

  See Also:
    Constant Field Values

### BACKGROUNDIMAGE_LAST

    public static final int BACKGROUNDIMAGE_LAST

  Marks the last integer for the range of background image events

  See Also:
    Constant Field Values

Constructor Detail

### HBackgroundImageEvent

    public HBackgroundImageEvent(Object source,
                                 int id)

  Constructs a new `HBackgroundImageEvent`.

  Parameters:
    `source` - the `HBackgroundImage` which has been loaded.
    `id` - the type of event (one of `BACKGROUNDIMAGE_LOADED`, `BACKGROUNDIMAGE_FILE_NOT_FOUND`, `BACKGROUNDIMAGE_IOERROR` or `BACKGROUNDIMAGE_INVALID`).

Method Detail

### getSource

    public Object getSource()

  Returns the `HBackgroundImage` for which the data has been loaded.

  Overrides:
    `getSource` in class `EventObject`
  Returns:
    the object which has been loaded.

### getID

    public int getID()

  Returns the type for this event.

  Returns:
    the event type (one of `BACKGROUNDIMAGE_LOADED`, `BACKGROUNDIMAGE_FILE_NOT_FOUND`, `BACKGROUNDIMAGE_IOERROR` or `BACKGROUNDIMAGE_INVALID`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD